package com.gci.cdnev.smallprogram.common.config;

import com.gci.cdnev.smallprogram.common.log.aspect.SysLogAspect;
import com.gci.cdnev.smallprogram.modules.system.service.ISysLogService;
import com.gci.cdnev.smallprogram.modules.system.service.ISysUserService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class LogConfig {

    @Bean
    public SysLogAspect sysLogAspect(ISysLogService sysLogService, ISysUserService sysUserService) {
        return new SysLogAspect(sysLogService, sysUserService);
    }
}
