package com.gci.cdnev.smallprogram.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;


@Data
@Component
@ConfigurationProperties(prefix = "wx")
public class JwtConfig {

    /** Request Headers ： Authorization */
    private String header;

    /** 令牌前缀，最后留个空格 Bearer */
    private String prefix;

    private String secret;

    /** 令牌过期时间 此处单位/毫秒 */
    private Long expireTime;

    //小程序
    private String appId;

    //小程序
    private String decSecret;

    public String getPrefix() {
        return prefix + " ";
    }
}
