package com.gci.cdnev.smallprogram.constant;

/**
 * 文件后缀
 *
 * @author 24642
 */
public class FileConstant {
    /**
     * 图像文件后缀
     */
    public static final String JPG = "jpg";
    public static final String PNG = "png";
    public static final String GIF = "gif";
    public static final String TIF = "tif";
    public static final String BMP = "bmp";
    public static final String PSD = "psd";

    /**
     * 文档文件后缀
     */
    public static final String TXT = "txt";
    public static final String RTF = "rtf";
    public static final String EML = "eml";
    public static final String MDB = "mdb";
    public static final String PS = "ps";
    public static final String PDF = "pdf";
    public static final String WPD = "wpd";
    public static final String DBX = "dbx";
    public static final String PST = "pst";
    public static final String QDF = "qdf";

    /**
     * 视频文件后缀
     */
    public static final String RMVB = "rmvb";
    public static final String FLV = "flv";
    public static final String MP4 = "mp4";
    public static final String M4V = "m4v";
    public static final String MPG = "mpg";
    public static final String WMV = "wmv";
    public static final String AVI = "avi";
    public static final String MOV = "mov";

    /**
     * 音频文件后缀
     */
    public static final String MP3 = "mp3";
    public static final String WAV = "wav";
    public static final String MID = "mid";

    /**
     * 压缩文件后缀
     */
    public static final String RAR = "rar";
    public static final String ZIP = "zip";
    public static final String GZ = "gz";

    /**
     * 可执行文件后缀
     */
    public static final String EXE = "exe";
    public static final String JSP = "jsp";
    public static final String MF = "mf";
    public static final String JAVA = "java";
    public static final String BAT = "bat";

    /**
     * 其他文件后缀
     */
    public static final String DWG = "dwg";
    public static final String JAR = "jar";
    public static final String XLS = "xls";
    public static final String CLASS = "class";
    public static final String CHM = "chm";
    public static final String MXP = "mxp";
    public static final String TORRENT = "torrent";
    public static final String PWL = "pwl";
    public static final String RAM = "ram";
}
