package com.gci.cdnev.smallprogram.modules.basedata.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbInspectionTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 巡检模板表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-09
 */
public interface ITbInspectionTemplateService extends IService<TbInspectionTemplate> {

    /**
     * 保存子表和项目表
     */
    void saveItem(TbInspectionTemplate tbInspectionTemplate);

    /**
     * 编辑模板表和项目表
     */
    void updateItem(TbInspectionTemplate tbInspectionTemplate);

    /**
     *  删除模板表和项目表
     */
    void removeItemById(String id);

    IPage<TbInspectionTemplate> pageBuild(Page<TbInspectionTemplate> page, TbInspectionTemplate inspectionTemplate);
}
