package com.gci.cdnev.smallprogram.modules.customer.mapper;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.customer.entity.TbInspectionTask;

/**
 * <p>
 * 巡检任务 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-10-16
 */
public interface TbInspectionTaskMapper extends BaseMapper<TbInspectionTask> {

    IPage<TbInspectionTask> pageBuild(@Param("page") Page<TbInspectionTask> page,@Param(Constants.WRAPPER) LambdaQueryWrapper<TbInspectionTask> lambdaQueryWrapper);

    TbInspectionTask getItemById(@Param("id") String id);
    
}
