package com.gci.cdnev.smallprogram.modules.event.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.event.entity.EventInfo;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportProjectVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 事故信息基础表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-13
 */
public interface EventInfoMapper extends BaseMapper<EventInfo> {

    IPage<EventInfo> pagebuild(@Param("page") Page<EventInfo> page, @Param(Constants.WRAPPER) QueryWrapper<EventInfo> query);

    IPage<EventInfo> todoList(Page<EventInfo> page);

    int countTodoList();

    EventInfo getEventInfoById(@Param("id") String id);
}
