package com.gci.cdnev.smallprogram.modules.finance.vo;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class FinanceItemVO {
    /**
     * 单项名称
     */
    private String itemName;
    /**
     * 第一年
     */
    private BigDecimal oneYear = BigDecimal.ZERO;
    /**
     * 第二年
     */
    private BigDecimal twoYear = BigDecimal.ZERO;
    /**
     * 第三年
     */
    private BigDecimal threeYear = BigDecimal.ZERO;
    /**
     * 第四年
     */
    private BigDecimal fourYear = BigDecimal.ZERO;
    /**
     * 第五年
     */
    private BigDecimal fiveYear = BigDecimal.ZERO;
    /**
     * 第六年
     */
    private BigDecimal sixYear = BigDecimal.ZERO;
    /**
     * 第七年
     */
    private BigDecimal sevenYear = BigDecimal.ZERO;
    /**
     * 第八年
     */
    private BigDecimal eightYear = BigDecimal.ZERO;
    /**
     * 合计
     */
    private BigDecimal total = BigDecimal.ZERO;
}
