package com.gci.cdnev.smallprogram.modules.gis.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisFencePlan;
import com.gci.cdnev.smallprogram.modules.gis.vo.GisRedisVehicleVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 围栏方案表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-08-30
 */
public interface TbGisFencePlanMapper extends BaseMapper<TbGisFencePlan> {
    /**
     * 根据车牌号查询
     * @param list
     * @return
     */
    List<GisRedisVehicleVo> getGisFenceInfoList (@Param("list")List<String> list);
}
