package com.gci.cdnev.smallprogram.modules.gis.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.gis.entity.TbGisRunningbus;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 车辆实时信息表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-01
 */
public interface ITbGisRunningbusService extends IService<TbGisRunningbus> {


    /**
     * 根据项目统计项目下的实时车辆数
     * @param projectIds
     * @return
     */
    Map countRunningBusNum(List<String> projectIds);

}
