package com.gci.cdnev.smallprogram.modules.gis.vo;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * 经纬度点集合及其他信息Item
 */
@NoArgsConstructor
@Data
public class PointListDTO {
    /**
     * location
     */
    private List<Double> location;
    /**
     * 电量
     */
    private Integer stateOfCharge;
    /**
     * 实时速度
     */
    private BigDecimal speed;
    /**
     * 总里程
     */
    private BigDecimal totalMileage;
    /**
     * 总电压
     */
    private BigDecimal totalVoltage;
    /**
     * 上报时间
     */
    private String gpsTime;
    /**
     * 0-熄火1-点火
     */
    private Integer acc;
    /**
     * 1-工作2-断开
     */
    private Integer dcStatus;
    /**
     * 1-纯电2-混动3-燃油-99-无效、-100-异常
     */
    private Integer operatingMode;
}
