package com.gci.cdnev.smallprogram.modules.projects.mapper;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.cdnev.smallprogram.modules.projects.entity.Projects;

/**
 * <p>
 * 项目基础信息表 Mapper 接口
 * </p>
 *
 * @author xushuhan
 * @since 2023-08-25
 */
public interface ProjectsMapper extends BaseMapper<Projects> {
	
    Set<String> getCustomerProjectsByDepartCodes(@Param("list")List<String> list);

    List<Projects> getProjectsByDepartCodes(@Param("list")List<String> list);

}
