package com.gci.cdnev.smallprogram.modules.projects.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gci.cdnev.smallprogram.modules.projects.entity.TbContractVehicle;
import com.gci.cdnev.smallprogram.modules.projects.mapper.TbContractVehicleMapper;
import com.gci.cdnev.smallprogram.modules.projects.service.ITbContractVehicleService;


@Service
public class TbContractVehicleServiceImpl extends ServiceImpl<TbContractVehicleMapper, TbContractVehicle> implements ITbContractVehicleService {

	@Override
	public List<TbContractVehicle> getByContractId(String contractId) {
		LambdaQueryWrapper<TbContractVehicle> query = new LambdaQueryWrapper<>();
		query.eq(TbContractVehicle::getContractId,contractId);
		return list(query);
	}
	
}
