package com.gci.cdnev.smallprogram.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gci.cdnev.smallprogram.modules.system.entity.SysRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 角色表 Mapper 接口
 * </p>
 *
 * @author chenzhiwei
 * @since 2023-08-18
 */
public interface SysRoleMapper extends BaseMapper<SysRole> {

    Set<String> getRoleCodeSetByUserId(@Param("userId") String userId);

    List<SysRole> getRoleByUserId(@Param("userId") String userId);
}
