package com.gci.cdnev.smallprogram.modules.system.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SysDepartTreeModel {
    @ApiModelProperty("ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("父机构ID")
    private String parentId;

    @ApiModelProperty("机构/部门名称")
    private String departName;

    @ApiModelProperty("排序")
    private Integer departOrder;

    @ApiModelProperty("描述")
    private String description;

    @ApiModelProperty("机构类别")
    private Integer orgCategory;

    @ApiModelProperty("机构编码")
    private String orgCode;

    @ApiModelProperty("联系电话")
    private String mobile;

    @ApiModelProperty("传真")
    private String fax;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("备注")
    private String memo;

    @ApiModelProperty("状态（1启用，0不启用）")
    private Integer status;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新日期")
    private Date updateTime;

    @ApiModelProperty("下级机构")
    private List<SysDepartTreeModel> children;
}
