package com.gci.cdnev.smallprogram.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.statis.vo.ReportProjectVo;
import com.gci.cdnev.smallprogram.modules.statis.vo.StatisParamVO;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbUpkeepBill;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.UpkeepInfoListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TbUpkeepBillMapper extends BaseMapper<TbUpkeepBill> {

    List<UpkeepInfoListVO> findUpkeepBillList(Page page,
                                              @Param("vo") UpkeepInfoListVO vo);

    List<UpkeepInfoListVO> findAllUpkeepBillList(@Param("vo") UpkeepInfoListVO vo);

    /**最终结果通过，更新计划表的状态为已归档--5**/
    void updateFinshPlan(@Param("id") String id,
                          @Param("auditStatus") Integer auditStatus);

    List<ReportProjectVo> countUpkeep(@Param("vo") StatisParamVO vo);


    /**
     * 包含保养计划、保养台账的待办
     */
    List<UpkeepInfoListVO> findUpkeepPlanAndBillList(Page page,
                                                     @Param("vo") UpkeepInfoListVO vo);
}
