package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MessageVO {

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("违章时间")
    private String violationTime;

    @ApiModelProperty("违章地点")
    private String violationAddress;


    @Dict(dicCode = "violation_behavior")
    @ApiModelProperty("违章行为")
    private String violationAct;

    @ApiModelProperty("是否新的违章行为")
    private Boolean isNewBehavior = false;

    @ApiModelProperty("新的违章行为描述")
    private String newBehavior;
}
