package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RepairDetailVO {

    @ApiModelProperty("报修分类")
    @Dict(dicCode = "repair_class")
    private String repairClass;

    @ApiModelProperty("维修内容")
    private String repairContent;

    @ApiModelProperty("数量")
    private Integer quantity;

    @ApiModelProperty("材料单价")
    private Double unitPrice;

    @ApiModelProperty("工时")
    private Double workHours;

    @ApiModelProperty("工时费")
    private Double workHoursCost;

    @ApiModelProperty("费用小计")
    private Double totalCost;
}
