package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RepairPageStaticVO {

    private Integer count;

    //1待提交 - 2待派单 - 3待报价 - 4待审核报价 - 5待审批报价 - 6维修中 - 7待确认结果 - 8已归档 -9作废  -10待复核
    @ApiModelProperty("流程状态")
    private Integer flowStatus;

    private String flowName;

    //维修厂待办用的字段， 1-维修，2-保养
    private Integer repairOrUpkeep;
}
