package com.gci.cdnev.smallprogram.modules.vehicles.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.gci.cdnev.smallprogram.annotation.Query.SelectQuery;
import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import com.gci.cdnev.smallprogram.common.dict.excel.DictConverter;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UpkeepPlanPageStaticVO {

    private Integer count;

    //1-未审核，2-审核通过，3-审核未通过，4-已作废, 5-已归档
    @ApiModelProperty("审核状态")
    @Dict(dicCode = "upkeep_audit_status")
    private String auditStatus;

    private String flowName;
}
