package com.gci.cdnev.smallprogram.constant;

/**
 * @author: huangxutao
 * @date: 2019-06-14
 * @description: 缓存常量
 */
public interface CacheConstant {

	/**
	 * 字典信息缓存,value为key
	 */
    String SYS_DICT_CACHE = "sys:cache:dict";

	/**
	 * 字典信息缓存,text为key
	 */
    String SYS_DICT_CACHE_TEXTKEY = "sys:cache:dict:text";

	/**
	 * 表字典信息缓存,value为key
	 */
    String SYS_DICT_TABLE_CACHE = "sys:cache:dictTable";

	/**
	 * 表字典信息缓存,text为key
	 */
    String SYS_DICT_TABLE_CACHE_TEXTKEY = "sys:cache:dictTable:text";

	/**
	 * 数据权限配置缓存
	 */
    String SYS_DATA_PERMISSIONS_CACHE = "sys:cache:permission:datarules";

	/**
	 * 账号登陆验证次数
	 */
	 String LOGIN_TIMES_VALIDATE_PROGRAM = "sys.login.validate.times.program.";

	/**
	 * 缓存用户信息
	 */
	String SYS_USERS_CACHE = "sys:cache:user";
	/**
	 * 用户权限信息缓存
	 */
	String SYS_AUTHORIZATION_CACHE = "sys:cache:auth:authorization";
	/**
	 * 用户权限信息缓存
	 */
	String SYS_AUTHENTICATION_CACHE = "sys:cache:auth:authentication";
	/**
	 * 全部部门信息缓存
	 */
	String SYS_DEPARTS_CACHE = "sys:cache:depart:alldata";


	/**
	 * 全部部门ids缓存
	 */
	String SYS_DEPART_IDS_CACHE = "sys:cache:depart:allids";


	/**
	 * 测试缓存key
	 */
	String TEST_DEMO_CACHE = "test:demo";

	/**
	 * 字典信息缓存
	 */
	String SYS_DYNAMICDB_CACHE = "sys:cache:dbconnect:dynamic:";

	/**
	 * 车辆围栏缓存
	 */
	String GIS_VEHICLE_CACHE = "gis:vehicle:";
}
