package com.gci.cdnev.smallprogram.modules.basedata.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.basedata.entity.TbRepairShopArchives;

import java.util.List;

public interface ITbRepairShopArchivesService extends IService<TbRepairShopArchives> {

    /**
     * 校验 全称、简称不能重复
     * @param archives
     * @return
     */
    boolean check(TbRepairShopArchives archives);

    /**
     * 根据用户id查询车辆档案
     * @param userId
     * @return
     */
    List<TbRepairShopArchives> getRepairShopByUserId(String userId);
}
