package com.gci.cdnev.smallprogram.modules.finance.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.finance.entity.BaseFinance;
import com.gci.cdnev.smallprogram.modules.finance.vo.CalculateListVO;
import com.gci.cdnev.smallprogram.modules.finance.vo.CalculateParamVO;
import com.gci.cdnev.smallprogram.modules.vehicles.vo.RepairInfoListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BaseFinanceMapper extends BaseMapper<BaseFinance> {


    List<CalculateListVO> findCalcutateList(Page page,
                                            @Param("paramVO") CalculateParamVO paramVO);

}
