package com.gci.cdnev.smallprogram.modules.finance.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 测算结果
 */
@Data
public class CalculateResultVO {
    //购车成本回收期
    private BigDecimal carCostRecovery;
    //融资成本
    private BigDecimal financingCost;
    //内部收益率(%)
    private BigDecimal internalRate;
    //实缴增值税及附加
    private BigDecimal vatAndAdditional;
    //所得税
    private BigDecimal incomeTax;
    //净利润
    private BigDecimal netProfit;
    //残值回收（万元）
    private BigDecimal salvageValue;
}
