package com.gci.cdnev.smallprogram.modules.gis.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 围栏关联车辆信息表
 * </p>
 *
 * @author 2464
 * @since 2023-08-30
 */
@Getter
@Setter
@TableName("tb_gis_fence_vehicle")
@ApiModel(value = "TbGisFenceVehicle对象", description = "围栏关联车辆信息表")
public class TbGisFenceVehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("所属方案id")
    private String planId;

    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("定位终端设备标识")
    private String gpsNo;


}
