package com.gci.cdnev.smallprogram.modules.monitor.enums;

import lombok.Getter;

/**
 * @author lyz
 * @date 2023/9/12 19:01
 */
public enum AlarmType {

    /**
     * 告警类型
     */
    FAULT(3, "故障"),
    FENCE(4, "围栏"),
    SPEED(5, "超速"),
    SAFETY(6, "主动安全");

    @Getter
    private int type;
    @Getter
    private String desc;

    AlarmType(int type,String desc){
        this.type=type;
        this.desc=desc;
    }


}
