package com.gci.cdnev.smallprogram.modules.statis.vo;

import com.gci.cdnev.smallprogram.common.dict.annotation.Dict;
import lombok.Data;

/**
 * @author 24642
 */
@Data
public class ReportListVo {
    /**
     * 项目Id
     */
    private String projectId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 车辆类型
     */
    @Dict(dicCode = "vehicle_type")
    private String vehicleType;
    /**
     * 维修统计
     */
    private Integer repairCount = 0;
    /**
     * 保养统计
     */
    private Integer upKeepCount = 0;
    /**
     * 违章统计
     */
    private Integer violationCount = 0;
    /**
     * 事故统计
     */
    private Integer accidentCount = 0;
}
