package com.gci.cdnev.smallprogram.modules.vehicles.enums;

import lombok.Getter;

public enum BacklogTabEnum {

    //1出险 2违章 3事故 4维修 5保养 6年检 7回访
    INSURANCE("出险","1"),
    VIOLATION("违章","2"),
    ACCIDENNT("事故","3"),
    REPAIR("维修","4"),
    UPKEEP("保养","5"),
    //(annual survey)
    AS("年检","6"),
    FOLLOW("回访","7"),
    ;


    @Getter
    private String name;

    @Getter
    private String type;


    BacklogTabEnum(String name, String type) {
        this.name = name;
        this.type = type;
    }

    public static BacklogTabEnum getEnumByName(String name){
        for (BacklogTabEnum statusEnum : BacklogTabEnum.values()) {
            if (statusEnum.getName().equals(name)) {
                return statusEnum;
            }
        }
        return null;
    }

    public static BacklogTabEnum getEnumByType(String type){
        for (BacklogTabEnum statusEnum : BacklogTabEnum.values()) {
            if (statusEnum.getType().equals(type)) {
                return statusEnum;
            }
        }
        return null;
    }

}
