package com.gci.cdnev.smallprogram.modules.vehicles.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbAnnualInspectionInfo;
import com.gci.cdnev.smallprogram.modules.vehicles.query.AnnualInspectionInfoQuery;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 年检信息表 Mapper 接口
 * </p>
 *
 * @author 2464
 * @since 2023-09-20
 */
public interface TbAnnualInspectionInfoMapper extends BaseMapper<TbAnnualInspectionInfo> {

    IPage<TbAnnualInspectionInfo> pageBuild(@Param("page") Page<TbAnnualInspectionInfo> page,@Param("query") AnnualInspectionInfoQuery query);

    IPage<TbAnnualInspectionInfo> remindList(@Param("page") Page<TbAnnualInspectionInfo> page,@Param("query") AnnualInspectionInfoQuery query);
}
