package com.gci.cdnev.smallprogram.modules.vehicles.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gci.cdnev.smallprogram.modules.vehicles.entity.TbAnnualInspectionInfo;
import com.gci.cdnev.smallprogram.modules.vehicles.query.AnnualInspectionInfoQuery;

/**
 * <p>
 * 年检信息表 服务类
 * </p>
 *
 * @author 2464
 * @since 2023-09-20
 */
public interface ITbAnnualInspectionInfoService extends IService<TbAnnualInspectionInfo> {

    IPage<TbAnnualInspectionInfo> pageBuild(Page<TbAnnualInspectionInfo> page, AnnualInspectionInfoQuery query);

    IPage<TbAnnualInspectionInfo> remindList(Page<TbAnnualInspectionInfo> page, AnnualInspectionInfoQuery query);

    void saveItem(TbAnnualInspectionInfo tbAnnualInspectionInfo);
}
